/*
 * ExecuteSQLException.java
 *
 * Created on 2 de agosto de 2004, 16:11
 */

package com.fenalco.utilities.database;

/**
 *
 * @author  Andrés Romero Rodríguez
 *
 * Esta excepción se utiliza para indicar que una instrucción SQL no pudo ser
 * ejecutada
 */
public class ExecuteSQLException extends java.lang.Exception
{
    
    /**
     * Creates a new instance of <code>ExecuteSQLException</code> without detail message.
     */
    public ExecuteSQLException()
    {
        super( "Error on execute" );
    }
    
    
    /**
     * Constructs an instance of <code>ExecuteSQLException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public ExecuteSQLException(String msg)
    {
        super( "Error on execute " + msg);
    }
}
